###  | #  |

Public Member Functions | List of all members
MutableRandomAccess2DLocatorConcept< Loc > Struct Template Reference
Pixel Locator » Concepts » RandomAccess2DLocatorConcept

2-dimensional locator over mutable pixels More...

`#include <pixel_locator.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename Loc>
struct boost::gil::MutableRandomAccess2DLocatorConcept< Loc >

2-dimensional locator over mutable pixels

concept MutableRandomAccess2DLocatorConcept<RandomAccess2DLocatorConcept Loc>
: MutableRandomAccessNDLocatorConcept<Loc> {};
boost::gil::MutableRandomAccess2DLocatorConcept
2-dimensional locator over mutable pixels
Definition: pixel_locator.hpp:376
boost::gil::MutableRandomAccessNDLocatorConcept
N-dimensional locator over mutable pixels.
Definition: pixel_locator.hpp:359
boost::gil::RandomAccess2DLocatorConcept
2-dimensional locator over immutable values
Definition: pixel_locator.hpp:222

The documentation for this struct was generated from the following file:

- pixel_locator.hpp